Skip to main content
POST
/
users
/
{user_guid}
/
accounts
/
merge
Merge accounts
curl --request POST \
  --url https://int-api.mx.com/users/{user_guid}/accounts/merge \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://int-api.mx.com/users/{user_guid}/accounts/merge"

payload = {}
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};

fetch('https://int-api.mx.com/users/{user_guid}/accounts/merge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "account": {
    "account_number": "3331261",
    "account_ownership": "INDIVIDUAL",
    "annuity_policy_to_date": "2025-12-31",
    "annuity_provider": "Metlife",
    "annuity_term_year": 30,
    "apr": 1,
    "apy": 2.35,
    "available_balance": 1000,
    "available_credit": 4000,
    "balance": 1000,
    "cash_balance": 2500,
    "cash_surrender_value": 1000,
    "created_at": "2025-02-13T18:08:00+00:00",
    "credit_limit": 5000,
    "currency_code": "USD",
    "day_payment_is_due": 14,
    "death_benefit": 1000,
    "federal_insurance_status": "INSURED",
    "guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
    "id": "1040434698",
    "imported_at": "2015-10-13T17:57:37.000Z",
    "interest_rate": 3.25,
    "institution_code": "3af3685e-05d9-7060-359f-008d0755e993",
    "insured_name": "Tommy Shelby",
    "is_closed": false,
    "is_hidden": false,
    "is_manual": false,
    "last_payment": 100,
    "last_payment_at": "2023-07-25T17:14:46Z",
    "loan_amount": 1000,
    "margin_balance": 1000,
    "matures_on": "2015-10-13T17:57:37.000Z",
    "member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
    "member_id": "member123",
    "member_is_managed_by_user": false,
    "metadata": "some metadata",
    "minimum_balance": 100,
    "minimum_payment": 10,
    "name": "Test account 2",
    "nickname": "My Checking",
    "original_balance": 10,
    "pay_out_amount": 10,
    "payment_due_at": "2015-10-13T17:57:37.000Z",
    "payoff_balance": 10,
    "premium_amount": 1,
    "property_type": "VEHICLE",
    "routing_number": "68899990000000",
    "started_on": "2025-10-13T17:57:37.000Z",
    "statement_balance": 1000.5,
    "subtype": "MONEY_MARKET",
    "today_ugl_amount": 1000.5,
    "today_ugl_percentage": 6.9,
    "total_account_value": 1,
    "total_account_value_ugl": 1,
    "type": "CHECKING",
    "updated_at": "2025-02-13T18:09:00+00:00",
    "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
    "user_id": "u-1234"
  }
}
Merge two or more financial accounts that an end user has identified as duplicates. Provide at least two account GUIDs belonging to the same user.
The response will return a single consolidated account. Any other accounts you provided that were not included in the response will be deleted. This is a destructive action and can’t be undone.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

Body

application/json
account
object

Response

200 - application/json

OK

account
object